function [x,n]=secanti(fun,x0,k,toll)
%[x,n]=secanti(fun,x0,k,toll)
%calcola la soluzione dell'equazione fun(x)=0,
%x0 e' il dato iniziale
%k e' la pendenza
%toll e' la tolleranza sulla soluzione
%x e' la soluzione, n il numero di iterazioni
xcorr=x0;

xsucc=xcorr-feval(fun,x0)/k;
n=0;
while(abs(xcorr-xsucc)>toll)&&(n<MAXITER)
    n=n+1;
    xcorr=xsucc;
    xsucc=xcorr-feval(fun,xcorr)/k;
    

end
if n==MAXITER
    error('Mancata convergenza');
end

x=xsucc;

end
